Source: ruby-omniauth-oauth2
Section: ruby
Priority: optional
Maintainer: Debian Ruby Team <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 12),
               gem2deb,
               ruby-faraday (>= 0.8),
               ruby-multi-json (>= 1.3),
               ruby-oauth2 (>= 1.1~),
               ruby-omniauth (>= 1.9~),
               ruby-rack-test,
               ruby-rspec,
               ruby-webmock
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/ruby-team/ruby-omniauth-oauth2.git
Vcs-Browser: https://salsa.debian.org/ruby-team/ruby-omniauth-oauth2
Homepage: https://github.com/omniauth/omniauth-oauth2
Testsuite: autopkgtest-pkg-ruby
XS-Ruby-Versions: all

Package: ruby-omniauth-oauth2
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ruby | ruby-interpreter,
         ruby-faraday (>= 0.8),
         ruby-multi-json (>= 1.3),
         ruby-oauth2 (>= 1.1~),
         ruby-omniauth (>= 1.9~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: abstract OAuth2 strategy for OmniAuth
 This gem contains a generic OAuth2 strategy for OmniAuth. It is meant to
 serve as a building block strategy for other strategies and not to be
 used independently (since it has no inherent way to gather uid and user
 info).
